%global packname  reticulate
%global rlibdir  %{_libdir}/R/library
%global __python %{__python3}

Name:             R-%{packname}
Version:          1.7
Release:          1%{?dist}
Summary:          R Interface to Python

License:          ASL 2.0
URL:              https://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
Patch0001:        Skip-network-test.patch

# Here's the R view of the dependencies world:
# Depends:
# Imports:   R-utils, R-graphics, R-jsonlite, R-Rcpp >= 0.12.7, R-Matrix
# Suggests:  R-testthat, R-knitr, R-callr
# LinkingTo:
# Enhances:

Requires:         R-utils
Requires:         R-graphics
Requires:         R-jsonlite
Requires:         R-Rcpp >= 0.12.7
Requires:         R-Matrix
Requires:         python3
Suggests:         R-knitr
BuildRequires:    python3-devel
BuildRequires:    python3-docutils
BuildRequires:    python3-numpy
BuildRequires:    python3-pandas
BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-utils
BuildRequires:    R-graphics
BuildRequires:    R-jsonlite
BuildRequires:    R-Rcpp-devel >= 0.12.7
BuildRequires:    R-Matrix
BuildRequires:    R-testthat
BuildRequires:    R-knitr
BuildRequires:    R-callr

%description
Interface to 'Python' modules, classes, and functions. When calling into
'Python', R data types are automatically converted to their equivalent
'Python' types. When values are returned from 'Python' to R they are
converted back to R types.


%prep
%setup -q -c -n %{packname}

pushd %{packname}
%patch0001 -p1

# Remove bundled byte-compiled files.
rm inst/python/rpytools/*.pyc
rm -r inst/python/rpytools/__pycache__
sed -i '/pyc$/d' MD5

popd


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%check
%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%dir %{rlibdir}/%{packname}/libs
%{rlibdir}/%{packname}/libs/%{packname}.so
%{rlibdir}/%{packname}/config
%{rlibdir}/%{packname}/python


%changelog
* Sun Apr 29 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.7-1
- Update to latest version

* Sun Apr 29 2018 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 1.6-1
- initial package for Fedora
